import { Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { UsersComponent } from './users/users.component';
import { ProductsComponent } from './products/products.component';
import { UserComponent } from './users/user/user.component';

export const routes: Routes = [

    {path:'',component:HomeComponent} ,
    //http://localhost:4200 ==> Home Component
    {path:'customers',component:UsersComponent} ,
    //http://localhost:4200/customers ==> UsersComponent will be bootstrapped
    {path:'customers/:id/:name',component:UserComponent},
    //http://localhost:4200/customer/1/Ramu
      //http://localhost:4200/customer/2/Sita 

    {path:'products',component:ProductsComponent} ,
    //http://localhost:4200/products ==> ProductComponent will be bootstrapped
];
